<?PHP

/* ====================
Land Down Under / Seditio - Website engine
Copyright Neocrome
http://www.neocrome.net

[BEGIN_LDU]
File=plugins/extended/birthdays/birthdays.footer.php
Version=800
Updated=2006-nov-19
Type=Plugin
Author=Poncha
Description=Birthdays plugin - footer "Birthdays today"
[END_LDU]

[BEGIN_LDU_EXTPLUGIN]
Code=birthdays
Part=footer
File=birthdays.footer
Hooks=footer.tags
Tags=footer.tpl:{FOOTER_BIRTHDAYSTODAY_TITLE},{FOOTER_BIRTHDAYSTODAY_TEXT}
Minlevel=0
Order=10
[END_LDU_EXTPLUGIN]

[BEGIN_SED]
File=plugins/birthdays/birthdays.footer.php
Version=100
Updated=2006-nov-19
Type=Plugin
Author=Poncha
Description=Birthdays plugin - footer "Birthdays today"
[END_SED]

[BEGIN_SED_EXTPLUGIN]
Code=birthdays
Part=footer
File=birthdays.footer
Hooks=footer.tags
Tags=footer.tpl:{FOOTER_BIRTHDAYSTODAY_TITLE},{FOOTER_BIRTHDAYSTODAY_TEXT}
Minlevel=0
Order=10
[END_SED_EXTPLUGIN]

==================== */

if (!defined('LDU_CODE') && !defined('SED_CODE')) { die('Wrong URL.'); }
if (!defined('PLX_CODE')) return false; // PluginLib extension required!

// load plugin parts (config and functions)
$extp = array_merge(
	$plx_getextplugins('plugin.birthdays.config'),
	$plx_getextplugins('plugin.birthdays.functions'),
	$plx_getextplugins('plugin.birthdays.lang')
	);
if(!count($extp)) return false; // this means birthdays plugin parts are disabled or not fully installed!
foreach($extp as $k => $pl) { if(!include($_PLUGINLIB["plugins_dir"].'/'.$pl['pl_code'].'/'.$pl['pl_file'].'.php')) return false; }

$birthdays_today = birthdays_today();

if( $count_birthdays_today=count($birthdays_today))
{
	foreach($L['count_birthdays_today_regex'] as $regex=>$title)
	{
		if(preg_match($regex, $count_birthdays_today))
		{
			$L['count_birthdays_today'] = $title;
			break;
		}
	}
	$plugin_title = $count_birthdays_today." ".$L['count_birthdays_today'];
	$plugin_output = "";
	foreach($birthdays_today as $idx=>$user)
	{
		$plugin_output .= ($idx?",":"")." ";
		$plugin_output .= $plx_build_user($user["user_id"], $user["user_name"]);
	}

	$t->assign(Array(
		"FOOTER_BIRTHDAYSTODAY_TITLE" => $plugin_title,
		"FOOTER_BIRTHDAYSTODAY_TEXT" => $plugin_output,
		));
	$t->parse("FOOTER.FOOTER_BIRTHDAYSTODAY");
}


?>
