<?PHP

/* ====================
Land Down Under / Seditio - Website engine
Copyright Neocrome
http://www.neocrome.net

[BEGIN_LDU]
File=plugins/extended/birthdays/birthdays.php
Version=800
Updated=2006-nov-19
Type=Plugin
Author=Poncha
Description=Birthdays plugin - main
[END_LDU]

[BEGIN_LDU_EXTPLUGIN]
Code=birthdays
Part=main
File=birthdays
Hooks=standalone
Tags=
Minlevel=0
Order=10
[END_LDU_EXTPLUGIN]

[BEGIN_SED]
File=plugins/birthdays/birthdays.php
Version=100
Updated=2006-nov-19
Type=Plugin
Author=Poncha
Description=Birthdays plugin - main
[END_SED]

[BEGIN_SED_EXTPLUGIN]
Code=birthdays
Part=main
File=birthdays
Hooks=standalone
Tags=
Minlevel=0
Order=10
[END_SED_EXTPLUGIN]

==================== */

if (!defined('LDU_CODE') && !defined('SED_CODE')) { die('Wrong URL.'); }
if (!defined('PLX_CODE')) return false; // PluginLib extension required!

// load plugin parts (config and functions)
$extp = array_merge(
	$plx_getextplugins('plugin.birthdays.config'),
	$plx_getextplugins('plugin.birthdays.functions')
	);
if(!count($extp)) $plx_die(); // this means birthdays plugin parts are disabled or not fully installed!
foreach($extp as $k => $pl) { if(!include($_PLUGINLIB["plugins_dir"].'/'.$pl['pl_code'].'/'.$pl['pl_file'].'.php')) $plx_die(); }

$birthdays_today = birthdays_today();

$plugin_title = $L['birthdays_today'];
if( ($count_birthdays_today=count($birthdays_today)) == 0) $plugin_body = $L['no_birthdays_today'];
else
{
	foreach($L['count_birthdays_today_regex'] as $regex=>$title)
	{
		if(preg_match($regex, $count_birthdays_today))
		{
			$L['count_birthdays_today'] = $title;
			break;
		}
	}
	$plugin_body = count($birthdays_today)." {$L['count_birthdays_today']}:";
	foreach($birthdays_today as $idx=>$user)
	{
		$plugin_body .= ($idx?",":"")." ";
		$plugin_body .= $plx_build_user($user["user_id"], $user["user_name"]);
	}
}


?>
