<?PHP

/* ====================
Land Down Under / Seditio - Website engine
Copyright Neocrome
http://www.neocrome.net

[BEGIN_LDU]
File=plugins/extended/birthdays/birthdays.update.php
Version=800
Updated=2006-nov-19
Type=Plugin
Author=Poncha
Description=Birthdays plugin - update
[END_LDU]

[BEGIN_LDU_EXTPLUGIN]
Code=birthdays
Part=update
File=birthdays.update
Hooks=plugin.birthdays.update
Tags=
Minlevel=0
Order=10
[END_LDU_EXTPLUGIN]

[BEGIN_SED]
File=plugins/birthdays/birthdays.update.php
Version=100
Updated=2006-nov-19
Type=Plugin
Author=Poncha
Description=Birthdays plugin - update
[END_SED]

[BEGIN_SED_EXTPLUGIN]
Code=birthdays
Part=update
File=birthdays.update
Hooks=plugin.birthdays.update
Tags=
Minlevel=0
Order=10
[END_SED_EXTPLUGIN]

==================== */

if (!defined('LDU_CODE') && !defined('SED_CODE')) { die('Wrong URL.'); }
if (!defined('PLX_CODE')) return false; // PluginLib extension required!

if(!function_exists("birthdays_update")) // if called from other plugin part, then functions already loaded
{
	// load plugin parts
	$extp = array_merge(
		$plx_getextplugins('plugin.birthdays.config'), // plugin configuration
		$plx_getextplugins('plugin.birthdays.functions') // plugin functions
		);
	if(!count($extp)) return false; // this means birthdays plugin parts are disabled or not fully installed!
	foreach($extp as $k => $pl) { if(!include($_PLUGINLIB["plugins_dir"].'/'.$pl['pl_code'].'/'.$pl['pl_file'].'.php')) return false; }
}

birthdays_update();

?>
